---
lang: en
title: 'API docs: authentication-jwt.myuserservice.verifycredentials'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.myuserservice.verifycredentials.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [MyUserService](./authentication-jwt.myuserservice.md) &gt; [verifyCredentials](./authentication-jwt.myuserservice.verifycredentials.md)

## MyUserService.verifyCredentials() method

**Signature:**

```typescript
verifyCredentials(credentials: Credentials): Promise<User>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  credentials | [Credentials](./authentication-jwt.credentials.md) |  |

**Returns:**

Promise&lt;[User](./authentication-jwt.user.md)<!-- -->&gt;


